GetImpact
curl --request POST \
--url https://developer.synq.io/api/impact/v1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ids": [
{
"airflowDag": {
"integrationId": "<string>",
"dagId": "<string>"
}
}
]
}
'import requests
url = "https://developer.synq.io/api/impact/v1"
payload = { "ids": [{ "airflowDag": {
"integrationId": "<string>",
"dagId": "<string>"
} }] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ids: [{airflowDag: {integrationId: '<string>', dagId: '<string>'}}]})
};
fetch('https://developer.synq.io/api/impact/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entities": [
{
"name": "<string>",
"ids": [
{
"airflowDag": {
"integrationId": "<string>",
"dagId": "<string>"
}
}
],
"synqPaths": [
"<string>"
]
}
],
"downstreamEntities": [
{
"name": "<string>",
"ids": [
{
"airflowDag": {
"integrationId": "<string>",
"dagId": "<string>"
}
}
],
"synqPaths": [
"<string>"
]
}
],
"dataproducts": [
{
"id": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"title": "<string>",
"description": "<string>",
"folder": "<string>",
"impactedEntities": [
{
"name": "<string>",
"ids": [
{
"airflowDag": {
"integrationId": "<string>",
"dagId": "<string>"
}
}
],
"synqPaths": [
"<string>"
]
}
]
}
],
"downstreamDataproducts": [
{
"id": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"title": "<string>",
"description": "<string>",
"folder": "<string>",
"impactedEntities": [
{
"name": "<string>",
"ids": [
{
"airflowDag": {
"integrationId": "<string>",
"dagId": "<string>"
}
}
],
"synqPaths": [
"<string>"
]
}
]
}
],
"owners": [
{
"id": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"title": "<string>",
"impactedEntities": [
{
"name": "<string>",
"ids": [
{
"airflowDag": {
"integrationId": "<string>",
"dagId": "<string>"
}
}
],
"synqPaths": [
"<string>"
]
}
]
}
],
"downstreamOwners": [
{
"id": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"title": "<string>",
"impactedEntities": [
{
"name": "<string>",
"ids": [
{
"airflowDag": {
"integrationId": "<string>",
"dagId": "<string>"
}
}
],
"synqPaths": [
"<string>"
]
}
]
}
]
}synq.entities.impact.v1.ImpactService
GetImpact
POST
/
api
/
impact
/
v1
GetImpact
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
ids
(airflow_dag · object | airflow_task · object | athena_table · object | bigquery_table · object | clickhouse_table · object | custom · object | databricks_table · object | dataproduct · object | dbt_cloud_node · object | dbt_core_node · object | monitor · object | mssql_table · object | mysql_table · object | oracle_table · object | postgres_table · object | redshift_table · object | saved_view · object | snowflake_table · object | sql_mesh_audit · object | sql_mesh_model · object | synq_path · object | trino_table · object)[]
Identifier is a unique reference to an entity in Coalesce Quality system. Entity identifiers are designed to closely mimic identifiers used by data platforms and tools. To construct an identifier, you need to know the kind of the entity and the ids that you would normally use to identify it in the data platform or tool. For example, to identify a table in BigQuery, you would need to know the project, dataset, and table names.
- airflow_dag
- airflow_task
- athena_table
- bigquery_table
- clickhouse_table
- custom
- databricks_table
- dataproduct
- dbt_cloud_node
- dbt_core_node
- monitor
- mssql_table
- mysql_table
- oracle_table
- postgres_table
- redshift_table
- saved_view
- snowflake_table
- sql_mesh_audit
- sql_mesh_model
- synq_path
- trino_table
Show child attributes
Show child attributes
Response
200 - application/json
Success
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I